EDAC-UTIL(1)

NAME
edac-util - EDAC error reporting utility.

SYNOPSIS
edac-util [OPTION]...

DESCRIPTION
The edac-util program reads information from EDAC (Error Detection and Correction) drivers in the kernel, using files exported by these drivers in sysfs. With no options, edac-util will report any uncorrected error (UE) or corrected error (CE) information recorded by EDAC, along with any DIMM label information registered with EDAC.

OPTIONS

-h, --help
    Display a summary of the command-line options.

-q, --quiet
    Quiet mode. For some reports, edac-util will report corrected and uncorrected error counts for all MC, csrow, and channel combinations, even if the current count of errors is zero. The --quiet flag will suppress the display of any locations with zero errors, thus creating a more terse report. No output will be generated if there are zero total errors currently recorded by EDAC. Additionally, the use of --quiet will suppress all informational and debug messages, displaying only fatal errors.

-v, --verbose
    Increase verbosity. Multiple -v's may be used.

-s, --status
    Displays the current status of EDAC drivers. edac-util will report whether it detects that EDAC drivers are loaded, and the number of memory controllers (MCs) found in sysfs. In verbose mode, the MC id and name of each controller will also be printed.

-r, --report=report,...
    Specify the report to generate. Currently, the available reports are default, simple, full, ue, and ce. These reports are detailed in the EDAC REPORTS section below. More than one report may be specified in a comma-separated list.

EDAC REPORTS

default
    The default edac-util report is generated when the program is run without any options. If there are no errors logged by EDAC, this report will display "No errors to report." to stdout. Otherwise, error counts for each MC, csrow, channel combination with attributed errors are displayed, along with corresponding DIMM labels, if these labels have been registered in sysfs. The default report will also display any errors that do not have any DIMM information. These errors occur when errors are reported in the memory controller overflow register, indicating that more than one error occurred during a given EDAC poll cycle. It is usually obvious from which DIMM locations these errors were generated.

simple
    The simple report reports total corrected and uncorrected errors for each MC detected on the system. It also displays a tally of total errors. With the --quiet option, only non-zero error counts are displayed.

full
    The full report generates a line of output for every MC, csrow, channel combination found in EDAC sysfs. This includes counts of errors with no information ("noinfo" errors). Output is of the form:
    MC:(csrow|noinfo):(label|all):(UE|CE):count
    With the --quiet option, only non-zero error counts will be displayed.

ue  This report simply displays the total number of Uncorrected Errors (UEs) detected on the system. With the --quiet option, output will be suppressed unless there are 1 or more errors to report.

ce  This report simply displays the total number of Corrected Errors (CEs) detected on the system. With the --quiet option, output will be suppressed unless there are 1 or more errors to report.

SEE ALSO
edac(3), edac-ctl(8)